#!/bin/sh
#------------------------------------------------------------------------------
# 
#
# Creation:     03.03.2002  by Peter Jonas
# 
#------------------------------------------------------------------------------

. /var/run/webcam.conf

cat <<- EOF
Content-Type: text/html; charset=iso-8859-1
Cache-control: no-cache
Pragma: no-cache
Expires: \`date -Ru\`

<html><head><title>Webcam-Menue</title>
<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">
</head>
<body bgcolor="#EEEEEE">
<TABLE bgcolor="#EEEEEE" width="100%" height="100%">
<TR><TD bgcolor="#DDDDDD">
<FONT COLOR="#990000"><B>OPT WEBCAM</B></FONT>
</TD>

<TR><TD valign="top"><BR>
EOF
idx=1
while [ "$idx" -le "$WEBCAM_THREAD_N" ]
do
  eval name='$WEBCAM_THREAD_'$idx'_DRAWTEXT_USER'
  eval width='$WEBCAM_THREAD_'$idx'_WIDTH'
  eval height='$WEBCAM_THREAD_'$idx'_HEIGHT'
  eval mpg_today=/$WEBCAM_DIR/camera$idx/`date +%Y/%m/%d-timelaps.mpg`
  eval mpg_others="/$WEBCAM_DIR/camera$idx/"
#  eval mpg_yesterday=`date +%Y/%m/%d-timelaps.mpg -d yesterday`
  echo "<B>$name</B><BR>" | sed -e 's/_/ /g'
  echo "<a href=\"/$WEBCAM_DIR/camframe.cgi?camera=$idx&width=$width&height=$height\" target=\"Display\">Snapshot</a><BR>"
  echo "MPEG movies:&nbsp;"
  echo "<a href=\"$mpg_today\">today</a> "
#  echo "- <a href=\"$mpg_yesterday\">yesterday</A> "
#  echo "- <a href=\"others\">others</A>"
  echo "<BR><BR>"

  idx=`/usr/bin/expr $idx + 1` 
done

echo "<B>Overview</B><BR>"
echo "<a href=\"/$WEBCAM_DIR/allcams.cgi\" target=\"Display\">All cameras</a><BR>"

echo "</TD></TR></TABLE></BODY>"
echo "</HTML>"
exit 0

